Bug 200680 - qemu-bsd-user fails to handle setsockopt for IPV6 for www/varnish4
Summary: qemu-bsd-user fails to handle setsockopt for IPV6 for www/varnish4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sean Bruno
URL: http://chips.ysv.freebsd.org/data/11a...
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-06 18:27 UTC by Sean Bruno
Modified: 2015-06-17 20:15 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (feld)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Bruno freebsd_committer 2015-06-06 18:27:03 UTC
Looks like we need to handle setsockopt for IPV6 in qemu-bsd-user in order to get varnish to compile:

  CCLD     varnishtop_opt2rst
gmake[4]: Leaving directory '/wrkdirs/usr/ports/www/varnish4/work/varnish-4.0.3/bin/varnishtop'
gmake[4]: Entering directory '/wrkdirs/usr/ports/www/varnish4/work/varnish-4.0.3/bin'
gmake[4]: Nothing to be done for 'all-am'.
gmake[4]: Leaving directory '/wrkdirs/usr/ports/www/varnish4/work/varnish-4.0.3/bin'
gmake[3]: Leaving directory '/wrkdirs/usr/ports/www/varnish4/work/varnish-4.0.3/bin'
Making all in etc
gmake[3]: Entering directory '/wrkdirs/usr/ports/www/varnish4/work/varnish-4.0.3/etc'
gmake[3]: Nothing to be done for 'all'.
gmake[3]: Leaving directory '/wrkdirs/usr/ports/www/varnish4/work/varnish-4.0.3/etc'
Making all in doc
gmake[3]: Entering directory '/wrkdirs/usr/ports/www/varnish4/work/varnish-4.0.3/doc'
Making all in sphinx
gmake[4]: Entering directory '/wrkdirs/usr/ports/www/varnish4/work/varnish-4.0.3/doc/sphinx'
../../bin/varnishd/varnishd -x dumprstparam > include/params.rst
Unsupported setsockopt level=41 optname=27
setsockopt(IPV6_V6ONLY, 1): Protocol not available
Error:
FAILED to set Default for param tcp_keepalive_intvl = 
Illegal Min: 1.000
FAILED to set Default for param tcp_keepalive_probes = 
Illegal Min: 1
FAILED to set Default for param tcp_keepalive_time = 
Illegal Min: 1.000

Makefile:589: recipe for target 'include/params.rst' failed
gmake[4]: *** [include/params.rst] Error 2
gmake[4]: Leaving directory '/wrkdirs/usr/ports/www/varnish4/work/varnish-4.0.3/doc/sphinx'
Makefile:390: recipe for target 'all-recursive' failed
gmake[3]: *** [all-recursive] Error 1
gmake[3]: Leaving directory '/wrkdirs/usr/ports/www/varnish4/work/varnish-4.0.3/doc'
Makefile:531: recipe for target 'all-recursive' failed
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory '/wrkdirs/usr/ports/www/varnish4/work/varnish-4.0.3'
Makefile:417: recipe for target 'all' failed
gmake[1]: *** [all] Error 2
gmake[1]: Leaving directory '/wrkdirs/usr/ports/www/varnish4/work/varnish-4.0.3'
*** Error code 1
Comment 1 Stacey Son freebsd_committer 2015-06-13 19:05:04 UTC
The following adds support for the missing socket option...

https://github.com/seanbruno/qemu-bsd-user/commit/763fd009d2d9eb4b6a18276a45bb5a98ab24ef09

Give it a try.
Comment 2 Sean Bruno freebsd_committer 2015-06-13 21:47:51 UTC
(In reply to Stacey Son from comment #1)
confirmed fixed.  www/varnish4 compiles and we get a package.

[11armv6-default] [1/1] Deinstalling varnish4-4.0.3_4...
[11armv6-default] [1/1] Deleting files for varnish4-4.0.3_4... done
===========================================================================
====>> Checking for extra files and directories
=======================<phase: Interactive    >============================
[01:15:51] ====>> Installing packages
[01:15:51] ====>> Installing run-depends for www/varnish4
[01:15:51] ====>> Installing www/varnish4
[11armv6-default] Installing varnish4-4.0.3_4...
[11armv6-default] Extracting varnish4-4.0.3_4: 100%
Message for varnish4-4.0.3_4:
Comment 3 commit-hook freebsd_committer 2015-06-17 20:15:54 UTC
A commit references this bug:

Author: nox
Date: Wed Jun 17 20:15:35 UTC 2015
New revision: 389993
URL: https://svnweb.freebsd.org/changeset/ports/389993

Log:
  Catch up with github tree, adding setsockopt handling for IPV6 - changelog:

  	https://github.com/seanbruno/qemu-bsd-user/commits/bsd-user

  PR:		200680

Changes:
  head/emulators/qemu-sbruno/Makefile
  head/emulators/qemu-sbruno/distinfo